VirtualBox

Ticket #3922 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

FurMark 1.6.5 crashes on start -> Fixed in SVN.

Reported by: roothorick Owned by:
Priority: major Component: 3D support
Version: VirtualBox 2.2.2 Keywords:
Cc: Guest type: Windows
Host type: Linux

Description

FurMark 1.6.5 crashes and burns ("encountered a problem and needs to close" dialog) in my XP32 guest (Guest Additions installed), under a Gentoo amd64 host. Running FurMark directly on the host, using Wine, works just fine.

FurMark crashes while its title bar says "Init data in progress...". At this point it's running under the name etqw.exe (it's an SLI/Crossfire thing, I imagine). The error happens inside vboxoglfeedbackspu.dll.

I couldn't get the error contents. For whatever reason, I couldn't select it to copy. I did get the contents of appcompat.txt:

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="etqw.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="atimgpud.dll" SIZE="159744" CHECKSUM="0xA3E4CDE" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="09/21/2007 23:04:08" UPTO_LINK_DATE="09/21/2007 23:04:08" />
    <MATCHING_FILE NAME="etqw.exe" SIZE="450048" CHECKSUM="0x95F5F662" BIN_FILE_VERSION="1.6.0.0" BIN_PRODUCT_VERSION="1.6.0.0" PRODUCT_VERSION="1, 6, 0, 0" FILE_DESCRIPTION="FurMark - OpenGL Benchmark And Stabilty Test" COMPANY_NAME="oZone3D.Net" PRODUCT_NAME="FurMark" FILE_VERSION="1, 6, 0, 0" ORIGINAL_FILENAME="FurMark.exe" INTERNAL_NAME="FurMark" LEGAL_COPYRIGHT="Copyright (C) 2007-2009 Jerome Guinot" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.6.0.0" UPTO_BIN_PRODUCT_VERSION="1.6.0.0" LINK_DATE="02/03/2009 08:10:37" UPTO_LINK_DATE="02/03/2009 08:10:37" VER_LANGUAGE="English (United States) [0x800]" />
    <MATCHING_FILE NAME="FreeImage.dll" SIZE="708608" CHECKSUM="0x57794DE7" BIN_FILE_VERSION="3.10.0.0" BIN_PRODUCT_VERSION="3.10.0.0" PRODUCT_VERSION="3, 10, 0, 0" FILE_DESCRIPTION="FreeImage library" COMPANY_NAME="FreeImage" PRODUCT_NAME="FreeImage" FILE_VERSION="3, 10, 0, 0" ORIGINAL_FILENAME="FreeImage.dll" INTERNAL_NAME="FreeImage" LEGAL_COPYRIGHT="Copyright © 2003-2007 by FreeImage" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.0.0" UPTO_BIN_PRODUCT_VERSION="3.10.0.0" LINK_DATE="11/19/2007 19:10:26" UPTO_LINK_DATE="11/19/2007 19:10:26" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="FurMark.exe" SIZE="450048" CHECKSUM="0x95F5F662" BIN_FILE_VERSION="1.6.0.0" BIN_PRODUCT_VERSION="1.6.0.0" PRODUCT_VERSION="1, 6, 0, 0" FILE_DESCRIPTION="FurMark - OpenGL Benchmark And Stabilty Test" COMPANY_NAME="oZone3D.Net" PRODUCT_NAME="FurMark" FILE_VERSION="1, 6, 0, 0" ORIGINAL_FILENAME="FurMark.exe" INTERNAL_NAME="FurMark" LEGAL_COPYRIGHT="Copyright (C) 2007-2009 Jerome Guinot" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.6.0.0" UPTO_BIN_PRODUCT_VERSION="1.6.0.0" LINK_DATE="02/03/2009 08:10:37" UPTO_LINK_DATE="02/03/2009 08:10:37" VER_LANGUAGE="English (United States) [0x800]" />
    <MATCHING_FILE NAME="oZone3D_Main.dll" SIZE="525824" CHECKSUM="0x566A7E84" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="02/03/2009 08:06:16" UPTO_LINK_DATE="02/03/2009 08:06:16" />
    <MATCHING_FILE NAME="unins000.exe" SIZE="695578" CHECKSUM="0x710091A4" BIN_FILE_VERSION="51.49.0.0" BIN_PRODUCT_VERSION="0.0.0.0" FILE_DESCRIPTION="Setup/Uninstall" FILE_VERSION="51.49.0.0" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x60000" UPTO_BIN_FILE_VERSION="51.49.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="06/19/1992 22:22:17" UPTO_LINK_DATE="06/19/1992 22:22:17" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="zlib1.dll" SIZE="73728" CHECKSUM="0x47FA8096" BIN_FILE_VERSION="1.2.2.0" BIN_PRODUCT_VERSION="1.2.2.0" PRODUCT_VERSION="1.2.3" FILE_DESCRIPTION="zlib data compression library" PRODUCT_NAME="zlib" FILE_VERSION="1.2.3" ORIGINAL_FILENAME="zlib1.dll" INTERNAL_NAME="zlib1.dll" LEGAL_COPYRIGHT="(C) 1995-2004 Jean-loup Gailly &amp; Mark Adler" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1A6BF" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.2.2.0" UPTO_BIN_PRODUCT_VERSION="1.2.2.0" LINK_DATE="08/06/2005 14:15:15" UPTO_LINK_DATE="08/06/2005 14:15:15" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="VBoxOGLfeedbackspu.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="VBoxOGLfeedbackspu.dll" SIZE="580112" CHECKSUM="0x77F7ED56" MODULE_TYPE="WIN32" PE_CHECKSUM="0x91969" LINKER_VERSION="0x0" LINK_DATE="04/27/2009 17:39:36" UPTO_LINK_DATE="04/27/2009 17:39:36" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="989696" CHECKSUM="0x7D737C09" BIN_FILE_VERSION="5.1.2600.5512" BIN_PRODUCT_VERSION="5.1.2600.5512" PRODUCT_VERSION="5.1.2600.5512" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.5512 (xpsp.080413-2111)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xF44A2" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.5512" UPTO_BIN_PRODUCT_VERSION="5.1.2600.5512" LINK_DATE="04/14/2008 00:11:24" UPTO_LINK_DATE="04/14/2008 00:11:24" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>

Change History

comment:1 Changed 5 years ago by Technologov

Added myself to this bug report.

-Technologov

comment:2 Changed 5 years ago by Genscher

I get the same crash on VBoxOGLfeedbackspu.dll + etqw.exe with FurMark 1.6.5 using Ubuntu 9.04 x64 host and Windows 7 RC1 x64 guest.

comment:3 Changed 5 years ago by diablod3

I also have the same problem using Debian Sid AMD64 host and XP32 guest.

comment:4 Changed 5 years ago by leonid

Seems to be "just" deadlocking here.

comment:5 Changed 5 years ago by diablod3

It randomly does it for me. Sometimes it just locks up, sometimes the app crashes, sometimes I have to restart the VM to make the render box go away.

comment:6 Changed 5 years ago by leonid

  • Summary changed from FurMark 1.6.5 crashes on start to FurMark 1.6.5 crashes on start -> Fixed in SVN.

Fixed.

comment:7 Changed 5 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use